"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init_node_lib = void 0;
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const RearguardDevConfig_1 = require("../../configs/RearguardDevConfig");
const commonPreset_1 = require("../procedures/commonPreset");
const initPackage_1 = require("../procedures/initPackage");
const updatePkgFiles_1 = require("../procedures/updatePkgFiles");
async function init_node_lib(flags) {
    const CWD = process.cwd();
    await initPackage_1.initPackage(CWD);
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const rearguardLocalConfig = new RearguardDevConfig_1.RearguardDevConfig(CWD);
    await rearguardLocalConfig.setBuildStatus("init");
    await rearguardConfig.setRuntime("node");
    await rearguardConfig.setType("lib");
    await updatePkgFiles_1.updatePkgFiles(CWD);
    await commonPreset_1.commonPreset(flags, CWD);
}
exports.init_node_lib = init_node_lib;
//# sourceMappingURL=init_node_lib.js.map