"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.commonPreset = void 0;
const createEntryPoints_1 = require("./createEntryPoints");
const setConfigs_1 = require("./setConfigs");
const setScripts_1 = require("./setScripts");
const staticTemplates_1 = require("./staticTemplates");
const checkDependencies_1 = require("./checkDependencies");
const RearguardConfig_1 = require("../../configs/RearguardConfig");
exports.commonPreset = async (flags, CWD = process.cwd()) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const packageName = rearguardConfig.getSnakeName();
    await setScripts_1.setScripts(CWD);
    await createEntryPoints_1.createEntryPoints(CWD);
    await setConfigs_1.setConfigs(flags, CWD);
    await staticTemplates_1.staticTemplates(flags, CWD);
    await checkDependencies_1.checkDependencies(CWD, flags.force);
    rearguardConfig.setDllEntry(`${packageName}_vendors.ts`);
};
//# sourceMappingURL=commonPreset.js.map